LibreOffice: XTextDocument Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XTextDocument Interface Referencepublished

is the main interface of a text document. More...

`import"XTextDocument.idl";`

Inheritance diagram for XTextDocument:

## Public Member Functions
com::sun::star::text::XText | getText ()
void | reformat ()
| reformats the contents of the document. More...
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description. More...
string | getURL ()
| provides information about the location of this model More...
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and his state More...
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model. More...
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model. More...
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates. More...
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers(). More...
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining. More...
XController | getCurrentController ()
| provides access to the controller which currently controls this model More...
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller. More...
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the main interface of a text document.

See also
  com::sun::star::text::TextDocument

## Member Function Documentation

## ◆ getText()

com::sun::star::text::XText getText | ( |  | ) |

Returns
  the major com::sun::star::text::Text of the text document.

This text does not contain texts in TextFrames, or cells of TextTables etc. directly. These are accessible from the contents via `X...Supplier` (e.g. XTextTablesSupplier).

## ◆ reformat()

void reformat | ( |  | ) |

reformats the contents of the document.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextDocument.idl